DbActiveProfileDescriptor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.profiles.database.server
Interface DbActiveProfileDescriptor

All Known Implementing Classes:
  DefaultDbActiveProfileDescriptor

public interface DbActiveProfileDescriptor

Title: OpenSwing Framework

Description: Descriptor of the table related to active profile storing, where the primary key is based on "functionId" and "username" attributes of the GridProfile.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`java.util.Hashtable` | `deleteAllGridProfileIds(java.lang.String functionId)` Callback method used to fill in the WHERE part of the delete SQL instruction with the specified collection of pairs , when executing the "deleteAllGridProfileIds" method.
`java.lang.String` | `getActiveProfileTableName()`
`java.lang.String` | `getFunctionIdFieldName()`
`java.lang.String[]` | `getIdFieldNames()`
`java.lang.String` | `getUsernameFieldName()`
`java.util.Hashtable` | `storeGridProfileIdOnInsert()` Callback method used to fill in the insert SQL instruction with the specified collection of pairs , when executing the "storeGridProfileId" method.
`java.util.Hashtable` | `storeGridProfileIdOnSetUpdate()` Callback method used to fill in the SET part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridProfileId" method.
`java.util.Hashtable` | `storeGridProfileIdOnWhereUpdate()` Callback method used to fill in the WHERE part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridProfileId" method.

Method Detail

### getActiveProfileTableName

    public java.lang.String getActiveProfileTableName()

  Returns:
    name of the active profile table.

### getFunctionIdFieldName

    public java.lang.String getFunctionIdFieldName()

  Returns:
    database field name related to the "functionId" attribute of GridProfile

### getUsernameFieldName

    public java.lang.String getUsernameFieldName()

  Returns:
    database field name related to the "username" attribute of GridProfile

### getIdFieldNames

    public java.lang.String[] getIdFieldNames()

  Returns:
    name of the database fields related to the "id" attribute of GridProfile

### storeGridProfileIdOnInsert

    public java.util.Hashtable storeGridProfileIdOnInsert()

  Callback method used to fill in the insert SQL instruction with the specified collection of pairs , when executing the "storeGridProfileId" method. For instance a CREATE_USER field or a CREATE_DATE field.

### storeGridProfileIdOnSetUpdate

    public java.util.Hashtable storeGridProfileIdOnSetUpdate()

  Callback method used to fill in the SET part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridProfileId" method. For instance an UPDATE_USER field or an UPDATE_DATE field.

### storeGridProfileIdOnWhereUpdate

    public java.util.Hashtable storeGridProfileIdOnWhereUpdate()

  Callback method used to fill in the WHERE part of the update SQL instruction with the specified collection of pairs , when executing the "storeGridProfileId" method.

### deleteAllGridProfileIds

    public java.util.Hashtable deleteAllGridProfileIds(java.lang.String functionId)

  Callback method used to fill in the WHERE part of the delete SQL instruction with the specified collection of pairs , when executing the "deleteAllGridProfileIds" method.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD